package larg.apps.experiment.webviewclicker;
 
import android.app.Activity;
import android.os.Bundle;
import android.webkit.WebView;
import larg.apps.experiment.webviewclicker.R;
import android.webkit.WebSettings;
import android.webkit.WebViewClient;
import android.webkit.WebChromeClient;
import android.graphics.Bitmap;

public class MainActivity extends Activity { 

    private WebView webview;
     
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        
        webview = findViewById(R.id.webview);
        
        //configurando el webview
        WebSettings webSettings = webview.getSettings();
        webSettings.setJavaScriptEnabled(true);
        webSettings.setJavaScriptCanOpenWindowsAutomatically(true);
        webSettings.setDomStorageEnabled(true);
        webSettings.setAllowContentAccess(true);
        webSettings.setAllowFileAccess(true);
        webSettings.setAllowFileAccessFromFileURLs(true);
        webSettings.setAllowUniversalAccessFromFileURLs(true);

        webview.setKeepScreenOn(true); //una locura para que no se apage la pantalla
        webview.setWebChromeClient(new WebChromeClient()); //webChromeClient para usar la tecnologuía de chrome, permite usar alert, prompt y confirm
        webview.setWebViewClient(new WebViewClient() { // esto es para que la webview abra los enlaces ahí mismo, y la extiendo de forma anonima para sobreescribir el metodo onPageFinished para ahí inyectar el script que hace click en las coordenadas 0, 0
                @Override
                public void onPageStarted(WebView _param1, String _param2, Bitmap _param3) {
                    final String _url = _param2;

                    super.onPageStarted(_param1, _param2, _param3);
                }

                @Override
                public void onPageFinished(WebView _param1, String _param2) {
                    final String _url = _param2;
                    
                    webview.loadUrl("javascript: (function() {setTimeout(function() {document.elementFromPoint(0, 0).click() }, 3500)  }())"); //inyectando el codigo javascript para hacer click en determinadas coordenadas una vez cargada la página
                    
                    super.onPageFinished(_param1, _param2);
                }
            });
        
        webview.loadUrl("file:///android_asset/index.html"); //y listo, cargo la página y empieza el juego
        
	}
	
} 
